Skip to main content
GET
/
api
/
v3
/
admin
/
webhook_endpoints
/
{id}
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const endpoint = await client.webhookEndpoints.get('whe_xxx')
{
  "id": "whe_UkLWZg9DAJ",
  "name": "Order pipeline",
  "url": "https://shop.example.com/webhooks/orders",
  "active": true,
  "subscriptions": [
    "order.created",
    "order.completed",
    "product.created"
  ],
  "disabled_reason": null,
  "created_at": "2026-06-05T13:13:15.645Z",
  "updated_at": "2026-06-05T13:13:15.645Z",
  "disabled_at": null,
  "secret_key": null,
  "last_delivery_at": null,
  "recent_delivery_count": 0,
  "recent_failure_count": 0,
  "total_delivery_count": 0,
  "successful_delivery_count": 0,
  "failed_delivery_count": 0
}

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

id
string
required

Webhook endpoint ID

Query Parameters

fields
string

Comma-separated list of fields to include. id is always included.

Response

webhook endpoint found